package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报考数据对象 mall_exam_data
 * 
 * @author LCL
 * @date 2023-10-24
 */
public class MallExamData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 报考数据主键ID */
    private Long examDataId;

    /** 报考数据名称 */
    @Excel(name = "报考数据名称")
    private String examDataName;

    /** 报考数据类型：0-报考人数，1-招生计划人数，2-录取控制线 */
    @Excel(name = "报考数据类型：0-报考人数，1-招生计划人数，2-录取控制线")
    private String type;

    /** 年份 */
    @Excel(name = "年份")
    private String years;

    /** 批次ID */
    @Excel(name = "批次ID")
    private Long batchId;

    /** 批次名称 */
    @Excel(name = "批次名称")
    private String batchName;

    /** 人数（万） */
    @Excel(name = "人数", readConverterExp = "万=")
    private BigDecimal peopleNum;

    /** 专业分数 */
    @Excel(name = "专业分数")
    private Integer majorScore;

    /** 文化分数 */
    @Excel(name = "文化分数")
    private Integer cultureScore;

    /** 是否展示：0-展示，1-不展示 */
    @Excel(name = "是否展示：0-展示，1-不展示")
    private String isShow;

    /** 状态:：0-启用，1-不启用 */
    @Excel(name = "状态:：0-启用，1-不启用")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setExamDataId(Long examDataId) 
    {
        this.examDataId = examDataId;
    }

    public Long getExamDataId() 
    {
        return examDataId;
    }
    public void setExamDataName(String examDataName) 
    {
        this.examDataName = examDataName;
    }

    public String getExamDataName() 
    {
        return examDataName;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setYears(String years) 
    {
        this.years = years;
    }

    public String getYears() 
    {
        return years;
    }
    public void setBatchId(Long batchId) 
    {
        this.batchId = batchId;
    }

    public Long getBatchId() 
    {
        return batchId;
    }
    public void setBatchName(String batchName) 
    {
        this.batchName = batchName;
    }

    public String getBatchName() 
    {
        return batchName;
    }
    public void setPeopleNum(BigDecimal peopleNum) 
    {
        this.peopleNum = peopleNum;
    }

    public BigDecimal getPeopleNum() 
    {
        return peopleNum;
    }
    public void setMajorScore(Integer majorScore) 
    {
        this.majorScore = majorScore;
    }

    public Integer getMajorScore() 
    {
        return majorScore;
    }
    public void setCultureScore(Integer cultureScore) 
    {
        this.cultureScore = cultureScore;
    }

    public Integer getCultureScore() 
    {
        return cultureScore;
    }
    public void setIsShow(String isShow) 
    {
        this.isShow = isShow;
    }

    public String getIsShow() 
    {
        return isShow;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("examDataId", getExamDataId())
            .append("examDataName", getExamDataName())
            .append("type", getType())
            .append("years", getYears())
            .append("batchId", getBatchId())
            .append("batchName", getBatchName())
            .append("peopleNum", getPeopleNum())
            .append("majorScore", getMajorScore())
            .append("cultureScore", getCultureScore())
            .append("isShow", getIsShow())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
